Loading...
Searching...
No Matches
BALL::GAFFCESParser::APSMatcher Class Reference

`#include <BALL/MOLMEC/AMBER/GAFFCESParser.h>`

## Classes

class | APSTerm

## Public Types

enum

APSType {
IS_RING_ATOM , IS_NON_RING_ATOM , IS_PLANAR , IS_PLANAR_WITH_DB_TO_NR ,
IS_PURELY_AROMATIC , IS_PURELY_ALIPHATIC , IS_OTHER_RING , IS_3_RING_ATOM ,
IS_4_RING_ATOM , IS_5_RING_ATOM , IS_6_RING_ATOM , IS_7_RING_ATOM ,
IS_8_RING_ATOM , IS_9_RING_ATOM , PURE_SINGLE_BOND , PURE_SINGLE_BOND_TO_PARENT ,
NO_PURE_SINGLE_BOND_TO_PARENT , SINGLE_BOND , SINGLE_BOND_TO_PARENT , NO_SINGLE_BOND_TO_PARENT ,
PURE_DOUBLE_BOND , PURE_DOUBLE_BOND_TO_PARENT , NO_PURE_DOUBLE_BOND_TO_PARENT , DOUBLE_BOND ,
DOUBLE_BOND_TO_PARENT , NO_DOUBLE_BOND_TO_PARENT , TRIPLE_BOND , TRIPLE_BOND_TO_PARENT ,
NO_TRIPLE_BOND_TO_PARENT , DELOCALIZED_BOND , DELOCALIZED_BOND_TO_PARENT , NO_DELOCALIZED_BOND_TO_PARENT ,
AROMATIC_BOND , AROMATIC_BOND_TO_PARENT , NO_AROMATIC_BOND_TO_PARENT , APS_TRUE
}

## Public Member Functions

bool | isRingAtom (Atom &atom)
int | isNRingAtom (Size size, Atom &atom)
bool | isNonRingAtom (Atom &atom)
bool | checkGAFFProperties (Atom &atom, Atom &predecessor, APSTerm aps)
| APSMatcher ()
| ~APSMatcher ()
String | printAPS ()
bool | operator() (Atom &atom, Atom &predecessor)

## Public Attributes

std::vector< std::vector< APSTerm > > | aps_terms

## Protected Member Functions

bool | hasBond_ (Atom *atom, Atom *predecessor, int bond_type, int feature_number)

## Detailed Description

Definition at line 27 of file GAFFCESParser.h.

## Member Enumeration Documentation

## APSType

enum BALL::GAFFCESParser::APSMatcher::APSType

Enumerator
IS_RING_ATOM |
IS_NON_RING_ATOM |
IS_PLANAR |
IS_PLANAR_WITH_DB_TO_NR |
IS_PURELY_AROMATIC |
IS_PURELY_ALIPHATIC |
IS_OTHER_RING |
IS_3_RING_ATOM |
IS_4_RING_ATOM |
IS_5_RING_ATOM |
IS_6_RING_ATOM |
IS_7_RING_ATOM |
IS_8_RING_ATOM |
IS_9_RING_ATOM |
PURE_SINGLE_BOND |
PURE_SINGLE_BOND_TO_PARENT |
NO_PURE_SINGLE_BOND_TO_PARENT |
SINGLE_BOND |
SINGLE_BOND_TO_PARENT |
NO_SINGLE_BOND_TO_PARENT |
PURE_DOUBLE_BOND |
PURE_DOUBLE_BOND_TO_PARENT |
NO_PURE_DOUBLE_BOND_TO_PARENT |
DOUBLE_BOND |
DOUBLE_BOND_TO_PARENT |
NO_DOUBLE_BOND_TO_PARENT |
TRIPLE_BOND |
TRIPLE_BOND_TO_PARENT |
NO_TRIPLE_BOND_TO_PARENT |
DELOCALIZED_BOND |
DELOCALIZED_BOND_TO_PARENT |
NO_DELOCALIZED_BOND_TO_PARENT |
AROMATIC_BOND |
AROMATIC_BOND_TO_PARENT |
NO_AROMATIC_BOND_TO_PARENT |
APS_TRUE |

Definition at line 31 of file GAFFCESParser.h.

## Constructor & Destructor Documentation

## APSMatcher()

BALL::GAFFCESParser::APSMatcher::APSMatcher | ( |  | ) |

## ~APSMatcher()

BALL::GAFFCESParser::APSMatcher::~APSMatcher | ( |  | ) |

## Member Function Documentation

## checkGAFFProperties()

bool BALL::GAFFCESParser::APSMatcher::checkGAFFProperties | ( | Atom & | atom,
|  | Atom & | predecessor,
|  | APSTerm | aps )

## hasBond_()

bool BALL::GAFFCESParser::APSMatcher::hasBond_ | ( | Atom * | atom,
|  | Atom * | predecessor,
|  | int | bond_type,
|  | int | feature_number )

protected

## isNonRingAtom()

bool BALL::GAFFCESParser::APSMatcher::isNonRingAtom | ( | Atom & | atom | ) |

## isNRingAtom()

int BALL::GAFFCESParser::APSMatcher::isNRingAtom | ( | Size | size,
|  | Atom & | atom )

## isRingAtom()

bool BALL::GAFFCESParser::APSMatcher::isRingAtom | ( | Atom & | atom | ) |

## operator()()

bool BALL::GAFFCESParser::APSMatcher::operator() | ( | Atom & | atom,
|  | Atom & | predecessor )

## printAPS()

String BALL::GAFFCESParser::APSMatcher::printAPS | ( |  | ) |

## Member Data Documentation

## aps_terms

std::vector< std::vector< APSTerm> > BALL::GAFFCESParser::APSMatcher::aps_terms

Definition at line 107 of file GAFFCESParser.h.